### Method

# EDataServer WebDAVSession get_last_dav_error_code

since: 3.36

#### Declaration [src]

    const gchar*
    e_webdav_session_get_last_dav_error_code (
      EWebDAVSession* webdav
    )

#### Description [src]

Returns last DAV error code as returned by the server. Each recognized code is enclosed in “[]” in the returned string, to be able to distinguish between them, in case the server returned multiple codes.

The string is valid until the next request is executed.

Available since: 3.36

#### Return value

Type: `const gchar*`

A DAV error from the last request, or `NULL`, when no error had been recognized.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.